.BOX {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 90%;
    max-width: 800px;
    margin: 0 auto;
    padding: 20px;
}

.InfoCell, .MapHours {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    max-width: 500px;
    height: 100%;
    max-height: 1000px;
} 

.Info {
    text-align: center;
    width: 100%;
    height: 300px;
}
.Cell {
    display: flex;
    justify-content: center;
    align-items: center;
    white-space: pre;
    width: 100%;
    height: 120px;
}
.Map {
    width: 100%;
    height: 300px;
}
.Hours {
    display: flex;
    justify-content: center;
    align-items: center;
    white-space: pre;
    width: 100%;
    height: 120px;
}

.Info h2 {
    margin-top: 0;
    font-size: 30px;
    font-weight: bolder;
    white-space: nowrap;
}

.Info p, .Hours p {
    font-size: 20px;
    font-weight: lighter;
}
.Cell p {
    display: inline-block; 
    text-align: center;
    font-size: 20px;
    font-weight: lighter;
}

.Map iframe {
    width: 100%;
    height: 100%;
    border: 0;
}

.Info a:link, .Cell a:link, .Info a:visited, .Cell a:visited, .Info a:active, .Cell a:active {
    color: #000000; 
    text-decoration: none;
}

.Button {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    margin-top: 20px;
}
.Button a {
    text-decoration: none;
    color: #000000;
    background-color: #A8DADC;
    padding: 10px 20px;
    border-radius: 5px;
    font-size: 20px;
    font-weight: bold;
    transition: box-shadow 0.3s ease;
}
.Button a:visited {
    color: #000000;
    background-color: #A8DADC;
    text-decoration: none;
}
.Button a:hover {
    color: #E63946;
    background-color: #A8DADC;
    text-decoration:none;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.5);
}
.Button a:active {
    color: #000000;
    background-color: #A8DADC;
    text-decoration: none;
}



@media (max-width: 850px) {
    .BOX {
        flex-direction: column;
        padding: 0;
    }
    .BOX div {
        width: 80%;
        margin: 0 auto;
        margin-top: 0px;
        margin-bottom: 0px;
        padding: 5px;
    }

    .Info {
        height: 43vw;
    }
    .Cell {
        height: 15vw;
        margin-top: 0;
        margin-bottom: 0;
    }
    
    .Hours {
        height: 20vw;
    
    }
    
    .Button a {
        font-size: 3vw;
        padding: 10px;
    }
    .Map iframe {
        width: 100%;
        height: 100%;
    }
    .Info h2 {
        font-size: 4vw;
    }
    .Info p, .Hours p, .Cell p {
        font-size: 3vw;
    }
}
